curl --request POST \
--url https://instant-classification-api.thedatacity.com/api/v1/instantClassification \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"Text": "<string>",
"Website": "<string>"
}
'import requests
url = "https://instant-classification-api.thedatacity.com/api/v1/instantClassification"
payload = {
"Text": "<string>",
"Website": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({Text: '<string>', Website: '<string>'})
};
fetch('https://instant-classification-api.thedatacity.com/api/v1/instantClassification', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"RTICs": [],
"SimilarCompanies": [],
"RSICs": [],
"RNAICs": [],
"SICs": [],
"TotalWordsProcessed": 123,
"ProcessingTimeMs": 123,
"Website": "<string>",
"Description": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Instant Classification
Classify a company using the instant classification service.
This endpoint requires authentication. The user must be logged in with a valid JWT token.
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Body
Request model for instant company classification.
Company description to classify. Send either Text or Website, not both.
1000Company website URL to classify. Send either Website or Text, not both.
500Response
Successful Response
Response model for instant company classification results.
Real Time Industry Classification codes
Show child attributes
Show child attributes
Companies with similar business activities
Show child attributes
Show child attributes
Recommended Standard Industrial Classification codes
Show child attributes
Show child attributes
Recommended North American Industry Classification codes
Show child attributes
Show child attributes
Standard Industrial Classification codes
Show child attributes
Show child attributes
Total number of words processed during classification
Processing time in milliseconds
Company website if provided
Company description text that was classified